Subject: bug#44080: 27.1; Display behavior of overlays `after-string` in resizable minibuffer frames

From: martin rudalics <[email-masked]>
Date: Tue, 20 Oct 2020 16:40:00 +0200

> To give some context, the current behavior is a problem for completion
 > frameworks which want to display a vertical list of candidates in the
 > minibuffer. They need to use an overlay so the candidates aren't
 > considered part of the minibuffer-contents which is expected to only
 > contain the current user input.

I've never used such completion frameworks and thus I've not seen this
problem so far.  Yet I'm using a separate minibuffer child frame which I
resize by calling 'window-text-pixel-size' with both, second and third
argument, nil.

We could do the same in 'fit-frame-to-buffer' but this would be an
incompatible change for the latter.  Can you nevertheless try running
with such a change so we can tell whether it fixes the problem?  If it
does fix it, we can either provide a separate 'fit-mini-frame-to-buffer'
function or a further option to set the function 'fit-frame-to-buffer'
calls to get the size of the frame's root window.

martin